summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sci-misc/nco
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sci-misc/nco')
-rw-r--r--sci-misc/nco/Manifest3
-rw-r--r--sci-misc/nco/metadata.xml20
-rw-r--r--sci-misc/nco/nco-3.9.9.ebuild71
-rw-r--r--sci-misc/nco/nco-4.4.2.ebuild51
-rw-r--r--sci-misc/nco/nco-4.5.1.ebuild50
5 files changed, 195 insertions, 0 deletions
diff --git a/sci-misc/nco/Manifest b/sci-misc/nco/Manifest
new file mode 100644
index 00000000000..bba7070e57d
--- /dev/null
+++ b/sci-misc/nco/Manifest
@@ -0,0 +1,3 @@
+DIST nco-3.9.9.tar.gz 4109201 SHA256 cdfd7cf47aef49b32e4e581bc7d2d6cdd05312ed88a2a0cfaf83c520e665b142
+DIST nco-4.4.2.tar.gz 7801937 SHA256 6b2f48ac4618ba50306885a6358925956c2b178dee6348ada3195a3fc2a425d8 SHA512 b624174bdb4d10b6f4e05024c0e4f06f642ebeb9bdb291e7dbf07b858522cdb7f2385d63ba70cab36aef40fc42d6d229a1c3bfacd85747f516cbbd45748ae185 WHIRLPOOL ca5d974ac10a0211d5cb4d0daab1501d7e13429530ef480c070af2f70e46630a3b49213b1370b17be0f829b9d73a437a3d44d4bc750b0c54f55a56402b3e7ec7
+DIST nco-4.5.1.tar.gz 4406757 SHA256 c9a34b1f649635093e219604479b0aa4fd2d400aaee4328577443642ed2920ae SHA512 69c19cc9502272adada329dae669fc1c263a360789963253315e81ce1534647b9172b39a0fd3c0f0f453bf903c8a8a4b0e3f0eb778390e43b64eede3a0478485 WHIRLPOOL 868fc67f0bb5c43f8b00a1479de428d0b2e9bdfed75ed4983baf05dee266d6750e43ead70a1bef16d693f2f47bc343c16a1fdd0cf77cabb36595fd8043a7844d
diff --git a/sci-misc/nco/metadata.xml b/sci-misc/nco/metadata.xml
new file mode 100644
index 00000000000..4f8a54def83
--- /dev/null
+++ b/sci-misc/nco/metadata.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci</herd>
+ <longdescription lang="en">
+ Command-line operators to analyze netCDF files
+ NetCDF Operator is a suite of programs known as operators. The
+ operators are stand-alone, command-line programs executable in a POSIX
+ shell. Operators take one or more netCDF files as input, perform an
+ operation (e.g., averaging or hyperslabbing), and produce a netCDF
+ output file. NCO was originally designed to manipulate and analyze
+ climate data, though it works on any netCDF format datasets.
+</longdescription>
+ <use>
+ <flag name="dap">Support for remote data access with the NETCDF DAP client</flag>
+ <flag name="ncap2">Build next generation netcdf arithmetic processor
+ (needs <pkg>dev-java/antlr</pkg>)</flag>
+ <flag name="udunits">Add <pkg>sci-libs/udunits</pkg> files support</flag>
+ </use>
+</pkgmetadata>
diff --git a/sci-misc/nco/nco-3.9.9.ebuild b/sci-misc/nco/nco-3.9.9.ebuild
new file mode 100644
index 00000000000..2daf4381746
--- /dev/null
+++ b/sci-misc/nco/nco-3.9.9.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=2
+inherit eutils flag-o-matic
+
+DESCRIPTION="Command line utilities for operating on netCDF files"
+SRC_URI="http://dust.ess.uci.edu/nco/src/${P}.tar.gz"
+HOMEPAGE="http://nco.sourceforge.net/"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+
+IUSE="doc mpi ncap2 udunits"
+
+RDEPEND="sci-libs/netcdf
+ mpi? ( virtual/mpi )
+ udunits? ( >=sci-libs/udunits-2 )"
+
+DEPEND="${RDEPEND}
+ ncap2? ( !mpi? ( dev-java/antlr:0 ) )
+ doc? ( virtual/latex-base )"
+
+pkg_setup() {
+ if use mpi && use ncap2; then
+ elog
+ elog "mpi and ncap2 are still incompatible flags"
+ elog "nco configure will automatically disables ncap2"
+ elog
+ fi
+}
+
+src_configure() {
+ local myconf
+ if has_version ">=sci-libs/netcdf-4" && built_with_use sci-libs/netcdf hdf5; then
+ append-cppflags -DHAVE_NETCDF4_H
+ myconf="--enable-netcdf4"
+ else
+ myconf="--disable-netcdf4"
+ fi
+ econf \
+ ${myconf} \
+ --disable-udunits \
+ $(use_enable ncap2) \
+ $(use_enable udunits udunits2) \
+ $(use_enable mpi)
+}
+
+src_compile() {
+ emake || die "emake failed"
+ cd doc
+ emake clean info
+ if use doc; then
+ VARTEXFONTS="${T}/fonts" emake html pdf || die "emake doc failed"
+ fi
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+ cd doc
+ dodoc ANNOUNCE ChangeLog MANIFEST NEWS README TAG TODO VERSION *.txt \
+ || die "dodoc failed"
+ doinfo *.info* || die "doinfo failed"
+ if use doc; then
+ dohtml nco.html/* || die "dohtml failed"
+ insinto /usr/share/doc/${PF}
+ doins nco.pdf || die "pdf install failed"
+ fi
+}
diff --git a/sci-misc/nco/nco-4.4.2.ebuild b/sci-misc/nco/nco-4.4.2.ebuild
new file mode 100644
index 00000000000..9fcd4d695ca
--- /dev/null
+++ b/sci-misc/nco/nco-4.4.2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+AUTOTOOLS_IN_SOURCE_BUILD=1
+inherit autotools-utils eutils flag-o-matic
+
+DESCRIPTION="Command line utilities for operating on netCDF files"
+HOMEPAGE="http://nco.sourceforge.net/"
+SRC_URI="http://nco.sf.net/src/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+
+IUSE="dap doc gsl ncap2 static-libs test udunits"
+
+RDEPEND="
+ >=sci-libs/netcdf-4:=[dap=,tools]
+ gsl? ( sci-libs/gsl:= )
+ udunits? ( >=sci-libs/udunits-2 )"
+
+DEPEND="${RDEPEND}
+ ncap2? ( dev-java/antlr:0 )
+ test? ( >=sci-libs/netcdf-4[tools] )"
+
+src_configure() {
+ local myeconfargs=(
+ --disable-udunits
+ $(use_enable dap dap-netcdf)
+ $(use_enable gsl)
+ $(use_enable ncap2)
+ $(use_enable udunits udunits2)
+ )
+ if has_version '>=sci-libs/netcdf-4[hdf5]'; then
+ myeconfargs+=( --enable-netcdf4 )
+ append-cppflags -DHAVE_NETCDF4_H
+ else
+ myeconfargs+=( --disable-netcdf4 )
+ fi
+ autotools-utils_src_configure
+}
+
+src_install() {
+ autotools-utils_src_install
+ cd doc
+ doinfo *.info*
+ use doc && dohtml nco.html && dodoc nco.pdf
+}
diff --git a/sci-misc/nco/nco-4.5.1.ebuild b/sci-misc/nco/nco-4.5.1.ebuild
new file mode 100644
index 00000000000..599f5f55075
--- /dev/null
+++ b/sci-misc/nco/nco-4.5.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+AUTOTOOLS_IN_SOURCE_BUILD=1
+inherit autotools-utils eutils flag-o-matic
+
+DESCRIPTION="Command line utilities for operating on netCDF files"
+HOMEPAGE="http://nco.sourceforge.net/"
+SRC_URI="http://nco.sf.net/src/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+IUSE="dap doc gsl ncap2 openmp static-libs test udunits"
+
+RDEPEND="
+ >=sci-libs/netcdf-4:=[dap=,tools]
+ gsl? ( sci-libs/gsl:= )
+ udunits? ( >=sci-libs/udunits-2 )"
+
+DEPEND="${RDEPEND}
+ ncap2? ( dev-java/antlr:0 )
+ test? ( >=sci-libs/netcdf-4[tools] )"
+
+src_configure() {
+ local myeconfargs=(
+ --disable-udunits
+ $(use_enable dap dap-netcdf)
+ $(use_enable gsl)
+ $(use_enable ncap2)
+ $(use_enable openmp)
+ $(use_enable udunits udunits2)
+ )
+ if has_version '>=sci-libs/netcdf-4[hdf5]'; then
+ myeconfargs+=( --enable-netcdf4 )
+ append-cppflags -DHAVE_NETCDF4_H
+ else
+ myeconfargs+=( --disable-netcdf4 )
+ fi
+ autotools-utils_src_configure
+}
+
+src_install() {
+ use doc && DOCS=( doc/nco.pdf ) && HTML_DOCS=( doc/nco.html )
+ autotools-utils_src_install
+ doinfo doc/*.info*
+}